Skip to main content
`Ctrl`+`K`

# KSPGetMatSolveBatchSize

Gets the maximum number of columns treated simultaneously in `KSPMatSolve()`.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPGetMatSolveBatchSize(KSP ksp, PetscInt *bs)

## Input Parameter

- ksp - iterative solver context

## Output Parameter

- bs - batch size

## See Also

KSP: Linear System Solvers, `KSPMatSolve()`, `KSPSetMatSolveBatchSize()`, `-mat_mumps_icntl_27`, `-matproduct_batch_size`

## Level

advanced

## Location

src/ksp/ksp/interface/itfunc.c

## Examples

src/ksp/ksp/tutorials/ex77f.F90
src/ksp/ksp/tutorials/ex77.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages